- @body_class = 'duo-pro-trials gl-bg-brand-charcoal'
- page_title s_('DuoProTrial|Start your free GitLab Duo Pro trial')
- content_for :page_specific_javascripts do
  = render 'layouts/google_tag_manager_head'
  = render 'layouts/one_trust'
= render 'layouts/google_tag_manager_body'

.gl-flex.gl-flex-col.md:gl-flex-row.gl-items-center.gl-justify-center.gl-py-6.gl-bg-no-repeat.bg-decorations
  .m-sm-6.gl-max-w-62
    .gl-p-7.gl-rounded-lg.gl-bg-white
      = sprite_icon('tanuki-ai', size: 32, css_class: 'gl-pb-3')

      %h2.gl-pb-5.gl-my-0
        = s_('DuoProTrial|Apply your GitLab Duo Pro trial to an existing group')

      = yield :before_form

      = gitlab_ui_form_for '', url: trials_duo_pro_path(step: GitlabSubscriptions::Trials::CreateDuoProService::TRIAL), class: 'js-saas-duo-pro-trial-group', data: { testid: 'trial-form' } do |f|
        .js-namespace-selector{ data: duo_trial_namespace_selector_data(@eligible_namespaces, local_assigns[:namespace_create_errors]) }
        - if should_ask_company_question?
          .form-group
            = f.label :trial_entity, _('This subscription is for')
            %div
              .form-check-inline
                = f.gitlab_ui_radio_component :trial_entity, 'company', _('My company or team'),
                  radio_options: { required: true, checked: params[:trial_entity] == 'company' }
              .form-check-inline
                = f.gitlab_ui_radio_component :trial_entity, 'individual', _('Just me'),
                  radio_options: { required: true, checked: params[:trial_entity] == 'individual' }
        = render Pajamas::ButtonComponent.new(type: :submit, variant: :confirm) do
          = s_('DuoProTrial|Activate my trial')

  = render 'advantages_list'
